package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TpTransaction;

/**
 * <p>
 * 物业web端二手交易表 服务类
 * </p>
 *
 * @author jobob
 * @since 2018-12-29
 */
public interface ITransactionService extends IService<TpTransaction> {
	
	ResponseBean getTransactionList(String parameter, Integer communityId);

	/**
	 * 获取交易信息详情
	 * @param id
	 * @return
	 */
	ResponseBean getTransactionInfo(Integer id);

	/**
	 * 作废二手交易
	 * @param id
	 * @return
	 */
	ResponseBean updateTransactionById(Integer id, Integer userId);

	/**
	 * 添加二手话题
	 * @param paramets
	 * @param userElement
	 * @return
	 */
    ResponseBean transactionsAdd(String paramets, TaUser userElement);

	/**
	 * 修改二手交易
	 * @param paramets
	 * @param communityId
	 * @param id
	 * @return
	 */
    ResponseBean transactionsUpdata(String paramets, Integer communityId, Integer id);

	/**
	 * 删除二手帖子
	 * @param paramets
	 * @param communityId
	 * @param id
	 * @return
	 */
	ResponseBean transactionsDelete(String paramets, Integer communityId, Integer id);

	/**
	 * 二手帖子评论列表
	 * @param paramets
	 * @param userElement
	 * @return
	 */
	ResponseBean transactionReplyList(String paramets, TaUser userElement);

	/**
	 * 删除二手帖子评论
	 * @param paramets
	 * @return
	 */
    ResponseBean deleteReply(String paramets);

	/**
	 * 添加二手帖子评论
	 * @param paramets
	 * @param userElement
	 * @return
	 */
	ResponseBean transactionReplyAdd(String paramets, TaUser userElement);

	/**
	 * 二手帖子举报列表
	 * @param paramets
	 * @param userElement
	 * @return
	 */
    ResponseBean transactionReportList(String paramets, TaUser userElement);
}
